## gog-object-xml gog-object-xml |

## Functions

void | (*GogObjectSaxHandler) ()
GogObject * | gog_object_new_from_input ()
void | gog_object_sax_push_parser ()
void | gog_object_set_arg ()
void | gog_object_write_xml_sax ()
GogObject * | gog_xml_read_state_get_obj ()

## Description

## Functions

### GogObjectSaxHandler ()

    void
    (*GogObjectSaxHandler) (GogObject *obj,
                            gpointer user_data);

### gog_object_new_from_input ()

    GogObject *
    gog_object_new_from_input (GsfInput *input,
                               gpointer user_unserialize);

### gog_object_sax_push_parser ()

    void
    gog_object_sax_push_parser (GsfXMLIn *xin,
                                xmlChar const **attrs,
                                GogObjectSaxHandler handler,
                                gpointer user_unserialize,
                                gpointer user_data);

Unserializes a GogObject using `handler` when done.

#### Parameters

xin | GsfXMLIn |
attrs | XML attributes |
handler | callback. | [scope call]
user_unserialize | user data for GOData reading |
user_data | user data for `handler` |

### gog_object_set_arg ()

    void
    gog_object_set_arg (char const *name,
                        char const *val,
                        GogObject *obj);

### gog_object_write_xml_sax ()

    void
    gog_object_write_xml_sax (GogObject const *obj,
                              GsfXMLOut *output,
                              gpointer user);

### gog_xml_read_state_get_obj ()

    GogObject *
    gog_xml_read_state_get_obj (GsfXMLIn *xin);

#### Parameters

xin | GsfXMLIn |

#### Returns

the laset rerad GogObject.

[transfer none]